Status: Resolved Start date: 06/21/2012
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: C++ Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Rationale: allow an RSB Distribution which does not depend on Protobuf itself but provides the ProtocolBufferConverter to client
applications.

Associated revisions
Revision 1d74d796 - 02/01/2013 09:18 AM - J. Wienke

Move implementation of ProtocolBuffer to header only.

This will allows to drop protobuf from the dependencies later on.
The type name functions to convert between data types and wire schemas have been moved to private functions of the converter to avoid non-inline
header only implementations.

refs #1016

Revision e9889f4e - 02/01/2013 12:34 PM - J. Wienke

Move ProtocolBufferConverter implementation to header-only.

Merge branch 'task-1016'

fixes #1016

History
#1 - 02/01/2013 09:00 AM - J. Wienke
- Status changed from New to In Progress
- Assignee set to J. Wienke

#2 - 02/01/2013 09:24 AM - J. Wienke

There is a first possible solution in the respective feature branch. I moved the type to wire schema functions into private members of the converter to
provide a consistent header-only implementation. Do you know whether anyone has used them externally?

#3 - 02/01/2013 11:58 AM - S. Wrede

Not 100% sure, but at least the existing converters don't use it.

#4 - 02/01/2013 12:36 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset rsb-cpp|commit:e9889f4ea073753eb8c156f35a6247ebfbd84eba.
